# Get information about a triangulation.

from maptek import vulcan
import numpy as np
import pandas as pd

with vulcan.triangulation('topo.00t','r') as tri:
    nfaces = tri.n_faces()
    nnodes = tri.n_nodes()
    colour = tri.get_colour()

    print(f"Number of faces: {nfaces}")
    print(f"Number of nodes: {nnodes}")
    print(f"Colour: {colour}")